> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.vlenseg.com/llms.txt.
> For full documentation content, see https://docs.vlenseg.com/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.vlenseg.com/_mcp/server.

# Complete registration

POST https://api.vlenseg.com/api/DigitalIdentity/Register
Content-Type: application/json

Finalize user registration after phone (and optionally email) verification. On success, returns an access token for the new user. Use this token in `Authorization: Bearer <token>` for all subsequent user-scoped requests.


Reference: https://docs.vlenseg.com/api-reference/vlens-api/registration/register

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: example-openapi
  version: 1.0.0
paths:
  /api/DigitalIdentity/Register:
    post:
      operationId: register
      summary: Complete registration
      description: >
        Finalize user registration after phone (and optionally email)
        verification. On success, returns an access token for the new user. Use
        this token in `Authorization: Bearer <token>` for all subsequent
        user-scoped requests.
      tags:
        - subpackage_registration
      parameters:
        - name: ApiKey
          in: header
          description: >-
            Static API key issued to your tenant. Obtain from the Vlens
            dashboard.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: User registered successfully. Store the returned `accessToken`.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiOutputRegister'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegisterInput'
servers:
  - url: https://api.vlenseg.com
components:
  schemas:
    RegisterInput:
      type: object
      properties:
        phoneNumber:
          type: string
        email:
          type:
            - string
            - 'null'
          format: email
        password:
          type:
            - string
            - 'null'
          format: password
        phoneNumberOtp:
          type:
            - string
            - 'null'
        phoneNumberOtpRequestId:
          type:
            - string
            - 'null'
          format: uuid
        geoLocation:
          type:
            - string
            - 'null'
          description: Device location string at registration time.
        imei:
          type:
            - string
            - 'null'
          description: Device identifier (optional).
        oAuthTokenVerificationRequestId:
          type:
            - string
            - 'null'
          format: uuid
          description: >-
            OAuth verification request ID from `StepVerifyOAuthToken` or
            `VerifyOAuthToken`. Providing this skips the email verification
            step.
      required:
        - phoneNumber
      title: RegisterInput
    UserBasicInfo:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type:
            - string
            - 'null'
        surname:
          type:
            - string
            - 'null'
        fullName:
          type:
            - string
            - 'null'
        userName:
          type:
            - string
            - 'null'
        emailAddress:
          type:
            - string
            - 'null'
          format: email
        phoneNumber:
          type:
            - string
            - 'null'
        idNumber:
          type:
            - string
            - 'null'
          description: Egyptian national ID number.
        address:
          type:
            - string
            - 'null'
      description: Core profile information for a registered user.
      title: UserBasicInfo
    RegisterOutput:
      type: object
      properties:
        isEmailConfirmationRequired:
          type: boolean
        isEmailConfirmed:
          type: boolean
        isPhoneNumberConfirmationRequired:
          type: boolean
        isPhoneNumberConfirmed:
          type: boolean
        phoneNumberOtp:
          type:
            - string
            - 'null'
        phoneNumberOtpRequestId:
          type:
            - string
            - 'null'
          format: uuid
        isDigitalIdentityVerified:
          type: boolean
        accessToken:
          type:
            - string
            - 'null'
          description: >-
            User access token. Store securely and pass as `Authorization: Bearer
            <token>` for subsequent user-scoped requests.
        encryptedAccessToken:
          type:
            - string
            - 'null'
        expireInSeconds:
          type: integer
        userName:
          type:
            - string
            - 'null'
        userFullName:
          type:
            - string
            - 'null'
        user:
          $ref: '#/components/schemas/UserBasicInfo'
      title: RegisterOutput
    ApiOutputRegister:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/RegisterOutput'
        error_code:
          type:
            - integer
            - 'null'
        error_message:
          type:
            - string
            - 'null'
        error_descriptions:
          oneOf:
            - description: Any type
            - type: 'null'
      title: ApiOutputRegister
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: ApiKey
      description: Static API key issued to your tenant. Obtain from the Vlens dashboard.

```

## SDK Code Examples

```python Registration_register_example
import requests

url = "https://api.vlenseg.com/api/DigitalIdentity/Register"

payload = {
    "phoneNumber": "+201234567890",
    "email": "user@example.com",
    "password": "SecurePass123!",
    "phoneNumberOtp": "123456",
    "phoneNumberOtpRequestId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
headers = {
    "ApiKey": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Registration_register_example
const url = 'https://api.vlenseg.com/api/DigitalIdentity/Register';
const options = {
  method: 'POST',
  headers: {ApiKey: '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"phoneNumber":"+201234567890","email":"user@example.com","password":"SecurePass123!","phoneNumberOtp":"123456","phoneNumberOtpRequestId":"3fa85f64-5717-4562-b3fc-2c963f66afa6"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Registration_register_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.vlenseg.com/api/DigitalIdentity/Register"

	payload := strings.NewReader("{\n  \"phoneNumber\": \"+201234567890\",\n  \"email\": \"user@example.com\",\n  \"password\": \"SecurePass123!\",\n  \"phoneNumberOtp\": \"123456\",\n  \"phoneNumberOtpRequestId\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("ApiKey", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Registration_register_example
require 'uri'
require 'net/http'

url = URI("https://api.vlenseg.com/api/DigitalIdentity/Register")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["ApiKey"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"phoneNumber\": \"+201234567890\",\n  \"email\": \"user@example.com\",\n  \"password\": \"SecurePass123!\",\n  \"phoneNumberOtp\": \"123456\",\n  \"phoneNumberOtpRequestId\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\"\n}"

response = http.request(request)
puts response.read_body
```

```java Registration_register_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.vlenseg.com/api/DigitalIdentity/Register")
  .header("ApiKey", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"phoneNumber\": \"+201234567890\",\n  \"email\": \"user@example.com\",\n  \"password\": \"SecurePass123!\",\n  \"phoneNumberOtp\": \"123456\",\n  \"phoneNumberOtpRequestId\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\"\n}")
  .asString();
```

```php Registration_register_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.vlenseg.com/api/DigitalIdentity/Register', [
  'body' => '{
  "phoneNumber": "+201234567890",
  "email": "user@example.com",
  "password": "SecurePass123!",
  "phoneNumberOtp": "123456",
  "phoneNumberOtpRequestId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}',
  'headers' => [
    'ApiKey' => '<apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Registration_register_example
using RestSharp;

var client = new RestClient("https://api.vlenseg.com/api/DigitalIdentity/Register");
var request = new RestRequest(Method.POST);
request.AddHeader("ApiKey", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"phoneNumber\": \"+201234567890\",\n  \"email\": \"user@example.com\",\n  \"password\": \"SecurePass123!\",\n  \"phoneNumberOtp\": \"123456\",\n  \"phoneNumberOtpRequestId\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Registration_register_example
import Foundation

let headers = [
  "ApiKey": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "phoneNumber": "+201234567890",
  "email": "user@example.com",
  "password": "SecurePass123!",
  "phoneNumberOtp": "123456",
  "phoneNumberOtpRequestId": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.vlenseg.com/api/DigitalIdentity/Register")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```